Bootstrap a wallet device via App Attest
curl --request POST \
--url https://api.tuteliq.ai/api/v1/wallet/token \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"keyId": "<string>",
"attestation": "<string>",
"nonce": "<string>",
"clientId": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
keyId: '<string>',
attestation: '<string>',
nonce: '<string>',
clientId: '<string>'
})
};
fetch('https://api.tuteliq.ai/api/v1/wallet/token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tuteliq.ai/api/v1/wallet/token"
payload = {
"keyId": "<string>",
"attestation": "<string>",
"nonce": "<string>",
"clientId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")
val body = RequestBody.create(mediaType, "{\n \"keyId\": \"<string>\",\n \"attestation\": \"<string>\",\n \"nonce\": \"<string>\",\n \"clientId\": \"<string>\"\n}")
val request = Request.Builder()
.url("https://api.tuteliq.ai/api/v1/wallet/token")
.post(body)
.addHeader("Authorization", "Bearer <token>")
.addHeader("Content-Type", "application/json")
.build()
val response = client.newCall(request).execute()import Foundation
let parameters = [
"keyId": "<string>",
"attestation": "<string>",
"nonce": "<string>",
"clientId": "<string>"
] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://api.tuteliq.ai/api/v1/wallet/token")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.tuteliq.ai/api/v1/wallet/token");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"keyId\": \"<string>\",\n \"attestation\": \"<string>\",\n \"nonce\": \"<string>\",\n \"clientId\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
false{
"token": "<string>",
"expires_at": 123,
"scope": "<string>",
"enforce_app_attest": true
}Bootstrap a wallet device via App Attest
Issues a short-lived JWT scoped to verify:submit. The iOS Tuteliq Wallet calls this once at first launch and re-uses the token until it nears expiry. Per-device rate limiting prevents bootstrap abuse.
POST
/
api
/
v1
/
wallet
/
token
Bootstrap a wallet device via App Attest
curl --request POST \
--url https://api.tuteliq.ai/api/v1/wallet/token \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"keyId": "<string>",
"attestation": "<string>",
"nonce": "<string>",
"clientId": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
keyId: '<string>',
attestation: '<string>',
nonce: '<string>',
clientId: '<string>'
})
};
fetch('https://api.tuteliq.ai/api/v1/wallet/token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tuteliq.ai/api/v1/wallet/token"
payload = {
"keyId": "<string>",
"attestation": "<string>",
"nonce": "<string>",
"clientId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")
val body = RequestBody.create(mediaType, "{\n \"keyId\": \"<string>\",\n \"attestation\": \"<string>\",\n \"nonce\": \"<string>\",\n \"clientId\": \"<string>\"\n}")
val request = Request.Builder()
.url("https://api.tuteliq.ai/api/v1/wallet/token")
.post(body)
.addHeader("Authorization", "Bearer <token>")
.addHeader("Content-Type", "application/json")
.build()
val response = client.newCall(request).execute()import Foundation
let parameters = [
"keyId": "<string>",
"attestation": "<string>",
"nonce": "<string>",
"clientId": "<string>"
] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://api.tuteliq.ai/api/v1/wallet/token")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.tuteliq.ai/api/v1/wallet/token");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"keyId\": \"<string>\",\n \"attestation\": \"<string>\",\n \"nonce\": \"<string>\",\n \"clientId\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
false{
"token": "<string>",
"expires_at": 123,
"scope": "<string>",
"enforce_app_attest": true
}Authorizations
bearerAuthapiKeyHeader
API key as Bearer token
Body
application/json
⌘I